<template>
  <v-app>
    <v-container>
      <v-card>
        <v-toolbar dark color="primary">
          <v-toolbar-title>Login form</v-toolbar-title>
        </v-toolbar>
        <v-card-text>
          <form ref="form" @submit.prevent="login()">
            <v-text-field
                v-model="email"
                name="email"
                label="Email"
                type="email"
                required
            ></v-text-field>
            <v-text-field
                v-model="password"
                name="password"
                label="Password"
                type="password"
                required
            ></v-text-field>
            <div class="red--text"> {{ errorMessage }}</div>
            <v-btn type="submit" class="mt-4" color="primary" value="log in">
              Login
            </v-btn>
          </form>
        </v-card-text>
      </v-card>
    </v-container>

  </v-app>
</template>

<script>
export default {
  name: "AuthView",
  data() {
    return {
      email: "",
      password: "",
      errorMessage: "",
    };
  },
  methods: {
    login: function () {
      this.$router.push('/profile');
    }
  },
  computed: {}
};
</script>